org.keycloak.models.jpa.entities

## Class UserFederationMapperEntity

- java.lang.Object
- - org.keycloak.models.jpa.entities.UserFederationMapperEntity

-     @Entity
      public class UserFederationMapperEntity
      extends Object

  Author:
    Marek Posolda

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `federationMapperType`
    `protected UserFederationProviderEntity` | `federationProvider`
    `protected String` | `id`
    `protected String` | `name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserFederationMapperEntity()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `Map<String,String>` | `getConfig()`
    `String` | `getFederationMapperType()`
    `UserFederationProviderEntity` | `getFederationProvider()`
    `String` | `getId()`
    `String` | `getName()`
    `RealmEntity` | `getRealm()`
    `int` | `hashCode()`
    `void` | `setConfig(Map<String,String> config)`
    `void` | `setFederationMapperType(String federationMapperType)`
    `void` | `setFederationProvider(UserFederationProviderEntity federationProvider)`
    `void` | `setId(String id)`
    `void` | `setName(String name)`
    `void` | `setRealm(RealmEntity realm)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### id

          protected String id

    - #### name

          protected String name

    - #### federationProvider

          protected UserFederationProviderEntity federationProvider

    - #### federationMapperType

          protected String federationMapperType

  - ### Constructor Detail

    - #### UserFederationMapperEntity

          public UserFederationMapperEntity()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getFederationProvider

          public UserFederationProviderEntity getFederationProvider()

    - #### setFederationProvider

          public void setFederationProvider(UserFederationProviderEntity federationProvider)

    - #### getFederationMapperType

          public String getFederationMapperType()

    - #### setFederationMapperType

          public void setFederationMapperType(String federationMapperType)

    - #### getConfig

          public Map<String,String> getConfig()

    - #### setConfig

          public void setConfig(Map<String,String> config)

    - #### getRealm

          public RealmEntity getRealm()

    - #### setRealm

          public void setRealm(RealmEntity realm)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2020 JBoss by Red Hat. All rights reserved.